Jump to content

Skin Update Required


Recommended Posts

I have the full verison or Pro of Poweramp and most of the skins that I bought states Skin update required!  I spent a lot of money on these skins and to have 98% of them not working has me pretty frustrated and disgruntled.  I am not happy. Please fix this bug or issue ASAP! :angry:

Link to comment
Share on other sites

Although you don't say, I assume you are using Lollipop on your phone?

Poweramp has already been updated so third-party skins can work on Android 5.0 devices, but the skin developers also need to update their code to match too. You'll probably need to contact them to request that they do this.

Andre

Link to comment
Share on other sites

Yes,  I have 5.0.1 Android (Lollipop) HTC Sense Version 6.0 on my HTC ONE M8 and ever since my cell has did a software update a couple days ago 98% of my skins are not functioning.  It was a pain in the arse but I actually did what you said and emailed the developers for each skin I had which is a ridiculous amount.  Thank you so much for the feedback :) .  I appreciate it.  I hope they will do this as soon as possible so that I may enjoy my player with style especially with the amount of money I've spent on skins.  I know it seems anal but the $$$ is what's getting me peeved.  <_<  :unsure:  :mellow:

Link to comment
Share on other sites

*So this is the response I get after contacting one of the developers and they state it's up to Poweramp to give them data so that they can create the update?  So this is going to be a dragged out process of the waiting game. 

 

we have several times the manufacturer-mails sent from Poweramp, that he gives us the data for which programming (update) of our skins for lolipop until now we have not get an answer
without his information, we can not create an update
we will try our best to resolve the problem as soon as possible

i have sent you the GO Locker TRIQUA Theme APK
if you install the APK directly from your email account, it should work 


best regards

Link to comment
Share on other sites

Hey Andre,

 

Ok so I've copy and pasted the latest update to two of the developers with this info via email.  Hopefully it works.

 

Nov 15, 2014
- updated skins SDK to allow building skins for Lollipop:
  - you can't use skin-defined attrs.xml (style attributes) as those are not working for lollipop resources
    Poweramp build-565 and above provides skin_ref1..skin_ref10, skin_bg1..skin_bg10, skin_color1..skin_color10,
    skin_dimen1..skin_dimen10 attributes to use freely in skins to workaround this issue. 
    Alternatively, you can just avoid such attributes or use some Poweramp defined ones (see attrs.xml)
  - you can't use skin-defined parent styles (e.g. <style name="Classic_LockScreenTheme" parent="@style/ClassicSkin">..), instead you need to duplicate theme style definition for dialogs and lock screen, if you used skin-defined parent styles for those. See updated skin_classic/res/classic_skin_styles.xml for details)
  - your Android SDK Tools should be updated to at least 23.0.5 AND Android SDK Build-tools 
    BOTH exactly 20.0.0 and 21.1.1 versions should be installed (via e.g. command line "android" tool)
    Having 2 build tools versions allows us to build one skin APK for both pre-Lollipop and Lollipop Android versions
  - NOTE: if the above limitations are too much, it's possible to build APK for 5.0+ only with ant apkpush-shared and ant dist-shared. Resulting APK won't be compatible with pre-Lollipop android versions, so you'll need to maintain 2 APK builds - for pre-5.0 and for 5.0+ Androids.
- updated skins InfoActivity to match Material theme on Lollipop. Also, it won't crash anymore if no Poweramp installed
- updated reference resources to match latest
Link to comment
Share on other sites

  • 2 weeks later...
  • 1 month later...

I don't like to "necro" topics, but... has there been any advance on this?

 

Ironically, even the Poweramp HD skins (that should be optimized already?) fail to load. I get this with White Plastic HD:

failed to load skin /data/app/com.maxmpz.poweramp.skins.aluwhite-2/base.apk resetting to default
Link to comment
Share on other sites

  • 4 years later...

It won't allow me to use skins I purchased I paid for Poweramp I'm a beta user I paid for a skin for the Poweramp I purchased fix it. I am not feeling responsible for any emailing or anything skin's are for sale they should work this is like ordering a big Mac and being told to tell burger King they fu$#&D up my order. Either fix it or give me my money back and I will uninstall and carry on another route. (Android 8.0)

Link to comment
Share on other sites

3 hours ago, Prettypoweramper said:

It won't allow me to use skins I purchased I paid for Poweramp 

What skins don't work? Obviously they will need to be v3 skins if you are using v3 of the app, or v2 skins for the v2 (legacy) version of the app. I assume you have v2 on an older device, given that you are posting in the v2 subforum.

Skins are not developed by the Poweramp team though (apart from the selection of included ones) so any issues you need to take up with the third-party developer who wrote them. 

Andre

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...